Skip to main content
POST
Claim advisory Studio work

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

sessionId
string
required

Body

application/json
operationId
string<uuid>
required

Caller-generated UUID idempotency key for this exact operation.

expectedActorId
string<uuid>

Optional assertion of the actor derived from authenticated host execution. It cannot select another actor.

studioFileId
string<uuid>

Existing file within this session. Supply either this file or a task.

task
string

Advisory task description when no file is selected. Claims may overlap and grant no authority.

Maximum string length: 512
description
string
Maximum string length: 2000

Response

201